## vlc 1.1.3

=== debian/changelog ===
vlc (1.1.3-1squeeze6) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix integer overflow in demux/playlist/xspf.c leading to heap
    overflow (CVE-2011-2194). 

 -- Nico Golde <nion@debian.org>  Wed, 08 Jun 2011 21:38:25 +0000

vlc (1.1.3-1squeeze5) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix heap-based buffer overflow in mp4 decoder, VideoLAN-SA-1103.

 -- Nico Golde <nion@debian.org>  Mon, 11 Apr 2011 21:08:16 +0000

vlc (1.1.3-1squeeze4) stable-security; urgency=high

  * CVE-2010-3275/CVE-2010-3276

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 03 Apr 2011 19:54:46 +0000

vlc (1.1.3-1squeeze3) stable-security; urgency=high

  * Fix MKV improper input validation 
    - VideoLAN-SA-1102, CVE-2011-0531
    - thanks to Steve Lhomme
  * Add CVE reference to previous vulnerability
  * Set urgency to high

 -- Christophe Mutricy <xtophe@videolan.org>  Tue, 08 Feb 2011 22:11:48 +0100

vlc (1.1.3-1squeeze2) unstable; urgency=medium

  * Fix heap overflow in CDG decoder
    - CVE-2011-0021, VideoLAN-SA-1101
    - thanks to Dan Rosenberg
  * Fix heap corruption in some XML based subtitles decoder
    -  CVE-2011-0531
    - thanks to Harry Sintonen
  * Set urgency to medium

 -- Christophe Mutricy <xtophe@videolan.org>  Mon, 24 Jan 2011 22:13:57 +0100

vlc (1.1.3-1squeeze1) unstable; urgency=medium

  [ Christophe Mutricy ]
  * Security fix
    + Raise urgency
  * Fix heap buffer overflow (LP: #690173)
    + CVE-2010-3907
    + VideoLAN-SA-1007
    + Patch taken from upstream

  [ Benjamin Drung ]
  * Update my email address.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 29 Dec 2010 22:40:07 +0100

vlc (1.1.3-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * New upstream release.
    + Fix insufficient input validation in TagLib plugin.
      (VideoLAN-SA-1004, CVE-2010-2937) (Closes: #592669, LP: #616510)
    + Set urgency to medium
  * 502_xulrunner_191.diff: Shorten, split into two parts, and refresh it.
  * Drop 102_dejavu_font.diff and depend on ttf-freefont instead of ttf-
    dejavu-core. ttf-freefont is very likely to be present on a Debian
    box, because cups depends on it.
  * Drop 501_decrease_alsa_buffer.diff. The pulseaudio output module has
    a higher priority than the ALSA output plugin and should be used on
    pulseaudio systems.

  [ Reinhard Tartler ]
  * add DM-Upload-Allowed field to debian/control

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 20 Aug 2010 06:59:17 +0200

vlc (1.1.2-1) unstable; urgency=low

  [ Christophe Mutricy ]
  * New upstream release
  * Also check for libxcb
  * Move xcb_apps SD to vlc
  * Re-enable the modplug module and require the fixed version
    (Closes: #589890, #590787)
  * Fix location of icons in vlc.menu (Closes: #590294)
    thanks to Juhapekka Tolvanen
  * Split the notify plugin to not depend on GTK+ (Closes: #590504)
    thanks to Viktar Vauchkevich

  [ Benjamin Drung ]
  * Add proper Breaks and Replaces to vlc and vlc-plugin-notify.
  * Bump Standards-Version to 3.9.1 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 03 Aug 2010 01:38:17 +0200

vlc (1.1.1-1) unstable; urgency=low

  * New upstream release
    + Remove patches merged upstream
    + Add new symbols in libvlc5
  * Explicit the split of vlc-plugin-zvbi in debian/changelog (Closes:
    #588468)
  * Disable modplug as libmodplug in sid is buggy (see #588465)
  * Add comment about merging in README.source

 -- Christophe Mutricy <xtophe@videolan.org>  Thu, 22 Jul 2010 00:36:00 +0200

vlc (1.1.0-4) unstable; urgency=low

  * also move udev to the list of linux specific features
  * alphabetize configure switches
  * fix kfreebsd ftbfs in access file module (Closes: #588655)
  * forcefully disable alsa on kFreeBSD

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 Jul 2010 19:39:57 -0400

vlc (1.1.0-3) unstable; urgency=low

  * really enable dc1394 only for Linux, Closes: #588410

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Jul 2010 15:18:08 -0400

vlc (1.1.0-2) unstable; urgency=low

  * libdc1394 is linux specific.
  * Fix FTBFS on arm with patch cherry-picked from upstream
  * Set policy to 3.9.0 (no change needed)

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 07 Jul 2010 22:52:17 +0100

vlc (1.1.0-1) unstable; urgency=low

  [ Christophe Mutricy ]
  * New upstream version 1.1.0 (Closes: #586760, LP: #597108)
    * Fixes many bugs (Closes: #572151, #578917, #526088, #572914, #503377;
      LP: #206152, #261001, #281478, #282215, #282966, #283379, #283855,
      #285681, #287263, #328064, #328861, #346631, #356006, #356908, #357595,
      #358461, #362793, #368599, #375854, #380077, #383443, #403135, #403657,
      #403802, #414069, #415396, #416294, #419915, #422797, #425975, #427247,
      #435225, #439271, #442038, #444795, #453928, #459515, #461443, #465687,
      #466418, #476478, #482440, #491151, #491601, #514915, #517329, #517496,
      #537627, #539406, #542293, #549029, #549902, #550468, #550485, #550599,
      #551482, #553503, #554277, #556440, #560167, #564964, #566347, #568750,
      #570666, #582785, #584009, #586692, #587528)
    * SONAME changes
    * Update symbols files
    * Refresh patches and remove the ones merged upstream
  * rules:
    * Disable projectm and sqlite
    * Upstream Makefile install icons at the good place, simplify debian/rules
    * Specify where to install solids files
    * Install the optim only if present
    * Make sure we have useful build log
  * *.install: reflect new modules path and add new files
  * Add a trigger to generate the modules' cache as root.
  * Update the doc which get installed
  * control:
    * Prefer a recent libdvbpsi
    * add lua5.1 to have luac
    * Add more build-dep: xcb*, dirac, dc1394 
  * Patch to allow compilation with xul 1.9.1
  * Remove unneeded -V for dh_makeshlibs
  * Use configure option instead of patching
  * Use dh_bugfiles and update the bug control file

