## vlc 1.1.4

=== debian/changelog ===
vlc (1.1.4-1ubuntu1) maverick; urgency=low

  * Merge from Debian experimental, remaining changes:
    - build and install the libx264 plugin

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 05 Sep 2010 02:42:37 +0200

vlc (1.1.4-1) experimental; urgency=low

  [ Christophe Mutricy ]
  * New upstream bugfix release
    + Remove unneeded patch

  [ Benjamin Drung ]
  * Symlink corresponding FreeSans system font instead of linking to DejaVu.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 05 Sep 2010 01:47:07 +0200

vlc (1.1.3-2ubuntu1) maverick; urgency=low

  * Merge from Debian experimental, remaining changes:
    - build and install the libx264 plugin

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 19 Aug 2010 23:16:03 +0200

vlc (1.1.3-2) experimental; urgency=low

  [ Christophe Mutricy ]
  * Depends on xulrunner-dev >= 1.9.2
  * Activate VA-API (Closes: #587792, LP: #539406)

  [ Benjamin Drung ]
  * Switch to dh7.
  * Move libavcodec plugin from vlc-nox to vlc.
  * Add Xb-Npp header to mozilla-plugin-vlc package. (Not doing anything
    on Debian at the moment, see #484010)
  * Add apport hook to include more VLC dependencies in bug reports and
    install it on Ubuntu.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 19 Aug 2010 22:27:45 +0200

vlc (1.1.0-4ubuntu2) maverick; urgency=low

  * No-change rebuild to pick up new j-a-c-k shlibs

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 21 Jul 2010 14:45:26 +0200

vlc (1.1.0-4ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #606849), remaining changes:
    - build and install the libx264 plugin
    - add Xb-Npp header to vlc package
    - Add apport hook to include more vlc dependencies in bug reports
    - drop xulrunner 1.9.1 patch (502_xulrunner_191.diff)

 -- Lorenzo De Liso <blackz@ubuntu.com>  Sun, 18 Jul 2010 09:45:01 +0200

vlc (1.1.0-2ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    - build and install the libx264 plugin
    - add Xb-Npp header to vlc package
    - Add apport hook to include more vlc dependencies in bug reports
    - drop xulrunner 1.9.1 patch (502_xulrunner_191.diff)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 08 Jul 2010 11:18:06 +0200

vlc (1.1.0-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    - build and install the libx264 plugin
    - add Xb-Npp header to vlc package
    - Add apport hook to include more vlc dependencies in bug reports
  * Drop xulrunner patches.
  * Drop 502_xulrunner_191.diff.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 25 Jun 2010 01:09:16 +0200

vlc (1.0.6-1ubuntu1.1) lucid-proposed; urgency=low

  * debian/vlc{,-nox}.install:
    - Move libx264 plugin from vlc to vlc-nox (LP: #575054).
  * debian/control:
    - Adjust vlc-nox Replaces field properly.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 04 May 2010 14:17:27 +0200

vlc (1.0.6-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - build and install the libx264 plugin
    - add Xb-Npp header to vlc package
    - Add patches 519-526 to fix FTBFS with xulruner-1.9.2 from upstream
    - Add 600-drop-OJI-xul-192.patch to drop OJI support as xulrunner-1.9.2 on
      Linux doesn't support it
    - Add apport hook to include more vlc dependencies in bug reports
    - Drop --sourcedir=debian/tmp from dh_install to install apport hook
  * Drop 527-spanish-desktop.patch (merged upstream).

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 23 Apr 2010 12:16:15 +0200

vlc (1.0.5-2ubuntu3) lucid; urgency=low

  * debian/patches/527-spanish-desktop.patch: Add Spanish translation,
    thanks Ricardo Pérez López (LP: #534312).
  * Add apport hook to include more vlc dependencies in bug reports;
    thanks to Brian Murray for it (LP: #538719).
  * Drop --sourcedir=debian/tmp from dh_install to install apport hook.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 15 Apr 2010 12:32:03 +0200

vlc (1.0.5-2ubuntu2) lucid; urgency=low

  * Add patches to fix FTBFS with xulruner-1.9.2 from upstream (LP: #558981)
    - add debian/patches/519-Typedef-changes-from-xulrunner-1.9.1.patch
    - add debian/patches/520-Don-t-hardcode-OJI-define-deprecated-xith-libxul-1.9.patch
    - add debian/patches/521-Untracked-API-change-utf8-to-UTF8.patch
    - add debian/patches/522-Mozilla-do-not-hard-code-autoconf-file-descriptors.patch
    - add debian/patches/523-Require-xul-1.9.2-explicitly.patch
    - add debian/patches/524-Mozilla-More-fixes-for-XulRunner-1.9.2.patch
    - add debian/patches/525-Mozilla-more-fixes.patch
    - add debian/patches/526-Mozilla-More-final-Win32-compile-fixes-for-XulRunner.patch
  * Add patch to drop OJI support as xulrunner-1.9.2 on Linux doesn't support it
    - add debian/patches/600-drop-OJI-xul-192.patch

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 13 Apr 2010 10:09:58 -0500

vlc (1.0.5-2ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - build and install the libx264 plugin
    - add Xb-Npp header to vlc package

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 07 Mar 2010 16:26:55 +0100

vlc (1.0.5-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - build and install the libx264 plugin
    - add Xb-Npp header to vlc package

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 17 Feb 2010 13:38:29 +0100

vlc (1.0.4-2ubuntu2) lucid; urgency=low

  * rebuild for ffmpeg versioned symbols

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Jan 2010 21:40:22 +0100

vlc (1.0.4-2ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - build and install the libx264 plugin
    - add Xb-Npp header to vlc package

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 06 Jan 2010 18:35:23 +0100

vlc (1.0.4-1ubuntu1) lucid; urgency=low

  * merge from debian. Remaining changes:
    - build and install the libx264 plugin
    - add Xb-Npp header to vlc package

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 30 Dec 2009 18:23:36 +0100


