=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: vlc
 Section: video
 Priority: optional
-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
            Clément Stenac <zorglub@debian.org>,
            Loic Minier <lool@dooz.org>,
            Christophe Mutricy <xtophe@videolan.org>,
            Mohammed Adnène Trojette <adn+deb@diwi.org>,
-           Benjamin Drung <bdrung@debian.org>
+           Benjamin Drung <bdrung@ubuntu.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.2.3~),
                dh-buildinfo,
@@ -18,12 +19,12 @@
                libass-dev (>= 0.9.5-2),
                libavahi-client-dev,
                libavc1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-               libavcodec-dev (>= 0.cvs20060823),
-               libavformat-dev (>= 0.cvs20060823),
+               libavcodec-dev (>= 4:0.6),
+               libavformat-dev (>= 4:0.6),
                libcaca-dev (>= 0.99.beta4),
                libcddb2-dev,
                libcdio-dev,
-               libdc1394-22-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], 
+               libdc1394-22-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libdca-dev,
                libdirac-dev,
                libdvbpsi-dev | libdvbpsi5-dev,
@@ -53,7 +54,7 @@
                libnotify-dev,
                libogg-dev,
                libpng12-dev,
-               libpostproc-dev (>= 0.cvs20060823),
+               libpostproc-dev (>= 4:0.6),
                libproxy-dev,
                libpulse-dev,
                libqt4-dev,
@@ -66,7 +67,7 @@
                libsmbclient-dev,
                libspeex-dev,
                libsvga1-dev [amd64 i386],
-               libswscale-dev,
+               libswscale-dev (>= 4:0.6),
                libtag1-dev,
                libtar-dev,
                libtheora-dev,
@@ -74,15 +75,17 @@
                libudev-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libupnp3-dev,
                libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libva-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libvcdinfo-dev,
                libvorbis-dev,
                libx11-dev,
                libx11-xcb-dev,
-               libxcb1-dev,
+               libx264-dev,
                libxcb-keysyms1-dev,
                libxcb-randr0-dev,
                libxcb-shm0-dev,
                libxcb-xv0-dev,
+               libxcb1-dev,
                libxext-dev,
                libxml2-dev,
                libxpm-dev,
@@ -91,7 +94,7 @@
                lua5.1,
                nasm,
                pkg-config,
-               xulrunner-dev,
+               xulrunner-dev (>= 1.9.2),
                yasm [amd64 kfreebsd-amd64],
                zlib1g-dev
 Standards-Version: 3.9.1
@@ -162,6 +165,37 @@
          vlc-nox (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Xb-Npp-Applications: 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a,
+                     ec8030f7-c20a-464f-9b0e-13a3a9e97384
+Xb-Npp-Name: VLC Multimedia Plugin
+Xb-Npp-Description: play video and audio in Firefox using the VLC Multimedia Player
+Xb-Npp-File: libvlcplugin.so
+Xb-Npp-MimeType: application/mpeg4-iod,
+                 application/mpeg4-muxcodetable,
+                 application/ogg,
+                 application/x-google-vlc-plugin,
+                 application/x-mplayer2,
+                 application/x-ogg,
+                 application/x-vlc-plugin,
+                 audio/3gpp,
+                 audio/3gpp2,
+                 audio/mpeg,
+                 audio/mpeg4,
+                 audio/wav,
+                 audio/x-mpeg,
+                 audio/x-wav,
+                 video/3gpp,
+                 video/3gpp2,
+                 video/mpeg,
+                 video/mpeg-system,
+                 video/mpeg4,
+                 video/quicktime,
+                 video/x-mpeg,
+                 video/x-mpeg-system,
+                 video/x-ms-asf,
+                 video/x-ms-asf-plugin,
+                 video/x-ms-wmv,
+                 video/x-msvideo
 Description: multimedia plugin for web browsers based on VLC
  This plugin adds support for MPEG, MPEG2, DVD, DivX, Ogg/Vorbis and many
  more formats to your Gecko-based web browser (Firefox, Galeon, etc.). The
@@ -183,8 +217,8 @@
             vlc-plugin-pulse (= ${binary:Version})
 Suggests: mozilla-plugin-vlc,
           videolan-doc
-Breaks: vlc-nox (<< 1.1.2)
-Replaces: vlc-nox (<< 1.1.2)
+Breaks: vlc-nox (<< 1.1.2-1+exp1)
+Replaces: vlc-nox (<< 1.1.2-1+exp1)
 Provides: mp3-decoder
 Description: multimedia player and streamer
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
@@ -232,7 +266,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Replaces: vlc (<< 1.0.4-2)
+Replaces: vlc (<< 1.1.0)
 Provides: mp3-decoder
 Description: multimedia player and streamer (without X support)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
@@ -278,40 +312,3 @@
  preferences menu.
  .
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
- DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
- streams from various network sources.
-
-Package: vlc-plugin-jack
-Architecture: any
-Depends: vlc-nox (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Jack audio plugins for VLC
- These plugins add support for JACK to the VLC media player. To
- activate the audio output module, use the `--aout jack' flag or
- select the `jack' audio output plugin from the preferences menu.
- For the jack input, use `vlc jack://channels=...:ports=...'
- .
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
- DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
- streams from various network sources.
-
-Package: vlc-plugin-notify
-Architecture: any
-Depends: vlc-nox (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: vlc-nox (<< 1.1.2)
-Replaces: vlc-nox (<< 1.1.2)
-Description: LibNotify plugin for VLC
- This plugin adds support for libnotify track change notification to the
- VLC media player.
- .
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
- DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
- streams from various network sources.
-
-Package: vlc-plugin-pulse
-Architecture: any
-Depends: vlc-nox (= ${binary:Version}),
-         ${misc:Depends},
